Subject: [bug#72877] [PATCH 0/8] Upgrade PETSc, SLEPc, SUNDIALS, and DealII

From: Eric Bavier <[email-masked]>
Date: Thu, 05 Sep 2024 13:07:25 +0000

On 05.09.2024 03:17, Ludovic Courtès wrote:
> Hi,
> 
> Ludovic Courtès <[email-masked]> skribis:
> 
>>   gnu: petsc: Update to 3.21.4.
>>   gnu: python-petsc4py: Update to 3.21.4.
>>   gnu: slepc: Update to 3.21.1.
>>   gnu: python-slepc4py: Update to 3.21.1.
>>   gnu: petsc: Make ‘petscvariables’ reproducible.
>>   gnu: sundials: Upgrade to 7.1.1.
>>   gnu: sundials, sundials-openmpi: Use gexps.
>>   gnu: dealii: Update to 9.6.0.
> 
> Pushed as 993d6d2e7be4dac738629c76a51058f4dc5bc449 after re-testing
> locally.

Thank you for this series, it looks great!

I finally got a chance to look through it just before you pushed. My 
only
note is that I noticed this in the output of petsc's "check" phase:

# -------------
#   Summary
# -------------
# FAILED vec_pf_impls_string_tests-ex1_1 diff-snes_tutorials-ex78_2
# success 5721/10154 tests (56.3%)
# failed 2/10154 tests (0.0%)
# todo 240/10154 tests (2.4%)
# skip 4191/10154 tests (41.3%)

but the 'check' phase doesn't fail.  I wonder if the `make check`
invocation does not return a failure code when the tests fail.  These 
test failures
in particular look mostly harmless, but maybe other more catastrophic 
failures
might not be caught if `check` is not detecting failures.

-- 
`~Eric